Spring til indhold Spring til søgning på Forsvaret.dk Spring til højrebar

Hovedmenu

Menu

 
 
 

Shellshock: Linux-systemer ramt af alvorligt sikkerhedshul

Indholdsområde

 
 
 

Shellshock: Linux-systemer ramt af alvorligt sikkerhedshul 

En alvorlig sårbarhed er blevet opdaget i kommandofortolkeren Bash, der bruges af en lang række Linux-systemer.

26-09-2014 - kl. 13:40
Der er blevet konstateret en alvorlig sårbarhed i kommandofortolkeren Bash, et såkaldt terminal-shell, som er vidt udbredt på en lang række Unix-baserede styresystemer. De ramte systemer strækker sig blandt andet over OS X-styresystemet i Apples Mac-computere, et bredt udvalg af Linux-distributioner på forskellige platforme og serversystemer såsom Apache.

Afdelingschef Thomas Kristmar fra Center for Cybersikkerheds Netsikkerhedsafdeling fortæller, at centeret de seneste dage har observeret, at flere har forsøgt at skanne it-miljøer for Linux-installationer, der er påvirket af sårbarheden, der er blevet kendt som Shellshock.

”På baggrund af denne udvikling har Center for Cybersikkerhed udsendt et sikkerhedsvarsel til vores kunder. Varslet har gjort dem opmærksomme på problemet, og indeholder en række af vores anbefalinger til at imødegå det. Jeg vil i den forbindelse gerne understrege, at vi endnu ikke har set indikationer på, at systemer er blevet kompromitteret på baggrund af Shellshock. Men såfremt det skulle ske, vil vi naturligvis underrette berørte kunder,” fortæller Thomas Kristmar.

Center for Cybersikkerhed har efterfølgende fulgt op med et nyt sikkerhedsvarsel, da det er kommet frem, at en opdatering af Bash på nuværende tidspunkt ikke gør op med alle Shellshock-sårbarhederne. Derfor er det nødvendigt, at de it-sikkerhedsansvarlige træffer flere foranstaltninger for at imødegå sårbarhederne, indtil problemet løses i kommende opdateringer.

Rent teknisk gør Shellshock-sårbarheden det muligt for en angriber at injicere kode, der kan afvikles direkte i Bash-terminalen. Dette skyldes, at Bash ved en fejl ikke kun afvikler den kode, som defineres og afgrænses i en funktion i en miljøvariabel. Den afvikler også den resterende kode, som måtte eksistere i variablen. Dette kan blandt andet give en angriber mulighed for at anvende CGI-scripts til frit at afvikle ondsindet kode i Bash på Apache-servere.  

Pressevagt

Eventuelle spørgsmål kan rettes til Forsvarsministeriets pressevagt
- tlf. 72 81 04 00